<?php

function _client_card_form_main_validate($arr, $return_bool = false, $new_aps = false){
    $ret = array();

    if (isset($arr['NUMERO']) || $new_aps){
        $arr['NUMERO'] = isset($arr['NUMERO']) ? $arr['NUMERO'] : "";
        $ret[]= array(
            "FIELD"=>'NUMERO',
            "VALIDATE"=> validate($arr['NUMERO'],
            array(
                    array("ALPHANUMERIC" => true,"MESSAGE" => "ERROR"),
            ))
        );
    }
    if (isset($arr['TARJETA_CREDITO_ID']) || $new_aps){
        $arr['TARJETA_CREDITO_ID'] = isset($arr['TARJETA_CREDITO_ID']) ? $arr['TARJETA_CREDITO_ID'] : "";
        $ret[]= array(
            "FIELD"=>'TARJETA_CREDITO_ID',
            "VALIDATE"=> validate($arr['TARJETA_CREDITO_ID'],
            array(
                    array("ALPHANUMERIC" => true,"MESSAGE" => "ERROR"),
            ))
        );
    }
    if (isset($arr['CODIGO_SEGURIDAD']) || $new_aps){
        $arr['CODIGO_SEGURIDAD'] = isset($arr['CODIGO_SEGURIDAD']) ? $arr['CODIGO_SEGURIDAD'] : "";
        $ret[]= array(
            "FIELD"=>'CODIGO_SEGURIDAD',
            "VALIDATE"=> validate($arr['CODIGO_SEGURIDAD'],
            array(
                    array("ALPHANUMERIC" => true,"MESSAGE" => "ERROR"),
            ))
        );
    }
    if (isset($arr['VENCIMIENTO']) || $new_aps){
        $arr['VENCIMIENTO'] = isset($arr['VENCIMIENTO']) ? $arr['VENCIMIENTO'] : "";
        $ret[]= array(
            "FIELD"=>'VENCIMIENTO',
            "VALIDATE"=> validate($arr['VENCIMIENTO'],
            array(
                    array("ALPHANUMERIC" => true,"MESSAGE" => "ERROR"),
            ))
        );
    }

    if ($return_bool){
        $brtn = true;
        foreach($ret as $field){
            foreach($field['VALIDATE'] as $validate){
                if ($validate['STATUS']==0){
                    $brtn = false;
                    break;
                }
            }
        }

        $ret['_GLOBAL'] = $brtn;

        return $ret;
    }
    else{
       return $ret ;
    }

}

function _add_client_card($data){
    $sql = new sqldata();

    $rtn = _client_card_form_main_validate($data, true, true);

    if ($rtn['_GLOBAL']){
        $sql->insert("users_tarjeta", array(
            "Tarjetas_credito_ID"=>  decrypt($data['TARJETA_CREDITO_ID']),
            "Numero"=>encrypt($data['TARJETA_CREDITO_ID']),
            "Vencimiento"=>$data['TARJETA_CREDITO_ID'],
            "Codigo_seguridad"=>  encrypt($data['TARJETA_CREDITO_ID']),
            "Clientes_ID"=>  decrypt($data['CLIENTE_ID']),
        ));
    }


}




?>
